/*
 * PM - 2017
 * lab0.c
 */

#define F_CPU 16000000

#include <avr/io.h>
#include "usart.h"
#include <util/delay.h>

int main(void) {
	//Wheel();

	USART0_init();
	DDRD |= (1 << PD7); // LED

	// Setez PB1,2,3,4,5,6 de iesire 
	// PB3 = ENABLE A
	// PB4 = ENABLE B

	//PB1 = IN1
	//PB2 = IN2

	//PB5 = IN3
	//PB6 = IN4

	DDRB |= ( 1 << PB1);
	DDRB |= ( 1 << PB2);
	DDRB |= ( 1 << PB3);
	
	DDRB |= ( 1 << PB4);
	DDRB |= ( 1 << PB5);
	DDRB |= ( 1 << PB6);


	while (1) {
		char c = USART0_receive();

		//ENABLE A && ENABLE B

		PORTB |= ( 1 << PB3);
		PORTB |= ( 1 << PB4);
		switch(c) {
			case 'f':
				PORTD |= ( 1 << PD7 );
				PORTB |= ( 1 << PB1);
				PORTB |= ( 1 << PB6);

				PORTB &= ~( 1 << PB2 );
				PORTB &= ~( 1 << PB5 );
				_delay_ms(100);
				break;
			case 'b':
				PORTD &= ~( 1 << PD7 );
				PORTB |= ( 1 << PB2);
				PORTB |= ( 1 << PB5);
	
				PORTB &= ~( 1 << PB1 );
				PORTB &= ~( 1 << PB6 );
				_delay_ms(100);
				break;
			case 'x':
				PORTD &= ~( 1 << PD7 );
				PORTB &= ~( 1 << PB1 );
				PORTB &= ~( 1 << PB2 );
				PORTB &= ~( 1 << PB5 );
				PORTB &= ~( 1 << PB6 );
				_delay_ms(100);
				break;
			default:
				PORTD &= ~( 1 << PD7 );

				PORTB &= ~( 1 << PB1 );
				PORTB &= ~( 1 << PB2 );
				PORTB &= ~( 1 << PB5 );
				PORTB &= ~( 1 << PB6 );
				_delay_ms(100);
				break;
		}
	}

	return 0;
}
